package com.red.circle.common.business.enums;

import java.util.Objects;

/**
 * 动态消息类型.
 *
 * @author pengshigang on 2022/4/11
 */
public enum DynamicMessageEnum {

  /**
   * 评论了我的动态.
   */
  COMMENT_DYNAMIC,

  /**
   * 回复了我的评论.
   */
  REPLY_COMMENT,

  /**
   * 点赞了我的动态.
   */
  LIKE_DYNAMIC,

  /**
   * 点赞了我的评论.
   */
  LIKE_COMMENT,

  /**
   * 驳回举报.
   */
  REPORT_FAIL,

  /**
   * 举报成功.
   */
  REPORT_SUCCESS,

  /**
   * 我的违规动态已被系统删除.
   */
  DYNAMIC_VIOLATION,
  ;


  /**
   * 是否为举报相关信息
   *
   * @param type 类型
   * @return true是 false不是
   */
  public static Boolean isReportRelated(String type) {
    if (Objects.isNull(type)) {
      return Boolean.FALSE;
    }

    DynamicMessageEnum typeEnum = DynamicMessageEnum.valueOf(type);

    return Objects.equals(typeEnum, REPORT_FAIL) ||
        Objects.equals(typeEnum, REPORT_SUCCESS) ||
        Objects.equals(typeEnum, DYNAMIC_VIOLATION);
  }


}
